LATEST VERSION: 8.2.13 - RELEASE NOTES
Pivotal GemFire® v8.2

Pivotal GemFire Supported Configurations

Pivotal GemFire Supported Configurations

Pivotal GemFire is supported on a variety of platforms.

The supported platforms table lists platforms on which Pivotal GemFire 8.2 runs.

Note: Running Pivotal GemFire clusters with a mix of different platforms is not recommended. Use a consistent platform on all machines in your cluster.

Supported Platforms

Operating System Processor and Architecture Supported JVM
CentOS 7 x86 (64-bit) Oracle Java SE 7, Update 75 and Later
Mac OS X 10.8** x86 (64-bit) Oracle Java SE 7, Update 75 and Later
Mac OS X 10.9** x86 (64-bit) Oracle Java SE 7, Update 75 and Later
RHEL 5 x86 (64-bit) Oracle Java SE 7, Update 75 and Later
RHEL 6 x86 (64-bit) Oracle Java SE 7, Update 75 and Later
RHEL 7** x86 (64-bit) Oracle Java SE 7, Update 75 and Later
SUSE Linux Enterprise Server 11 x86 (64-bit) Oracle Java SE 7, Update 75 and Later
Ubuntu 10.x** x86 (64-bit) Oracle Java SE 7, Update 75 and Later
Ubuntu 12.04** x86 (64-bit) Oracle Java SE 7, Update 75 and Later
Ubuntu 14.04 x86 (64-bit) Oracle Java SE 7, Update 75 and Later

**Indicates operating systems that have not been fully tested but are still known to work.

Java Support Notes

Pivotal GemFire 8.2 requires Java SE 7.

The Pivotal GemFire does not include Java. You must download and install a supported JRE or JDK on each system running Pivotal GemFire. Pivotal GemFire recommends the installation of a full JDK (and not just a JRE) to obtain better performance with gfsh status and stop commands.

Filesystem Type for Linux and Solaris Platforms

For optimal disk-store performance, we recommend the use of ext4 filesystems when operating on Linux platforms.